{
  "schema_version": "1.4.0",
  "id": "GHSA-gr5x-6f83-c4g4",
  "modified": "2022-05-17T05:44:31Z",
  "published": "2022-05-17T05:44:31Z",
  "aliases": [
    "CVE-2010-3073"
  ],
  "details": "SSL_Cipher.cpp in EncFS before 1.7.0 does not properly handle integer data sizes when constructing headers intended for randomization of initialization vectors, which makes it easier for local users to obtain sensitive information by defeating cryptographic protection mechanisms.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2010-3073"
    },
    {
      "type": "WEB",
      "url": "https://bugzilla.redhat.com/show_bug.cgi?id=630460"
    },
    {
      "type": "WEB",
      "url": "http://archives.neohapsis.com/archives/fulldisclosure/2010-08/0316.html"
    },
    {
      "type": "WEB",
      "url": "http://code.google.com/p/encfs/source/detail?r=59"
    },
    {
      "type": "WEB",
      "url": "http://lists.fedoraproject.org/pipermail/package-announce/2010-September/047794.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.fedoraproject.org/pipermail/package-announce/2010-September/047798.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.fedoraproject.org/pipermail/package-announce/2010-September/047825.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-security-announce/2010-12/msg00000.html"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/41158"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/41478"
    },
    {
      "type": "WEB",
      "url": "http://www.openwall.com/lists/oss-security/2010/09/05/3"
    },
    {
      "type": "WEB",
      "url": "http://www.openwall.com/lists/oss-security/2010/09/06/1"
    },
    {
      "type": "WEB",
      "url": "http://www.openwall.com/lists/oss-security/2010/09/07/8"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2010/2414"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "LOW",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2010-09-17T18:00:00Z"
  }
}